
CREATE TABLE plugin (
  id INT4 NOT NULL AUTO_INCREMENT,
  vendor_id int(10) unsigned NOT NULL default '0',
  template_id varchar(100) NOT NULL default '',
  name VARCHAR(255) NOT NULL,
  plugin_type VARCHAR(50) NOT NULL DEFAULT '',
  is_active tinyint(1) NOT NULL default '0',
  config_data BLOB,
  PRIMARY KEY (id)
) TYPE=InnoDB;

CREATE TABLE plugin_pp (
  config_id INT4 NOT NULL,
  is_preauth_enabled   tinyint(1) default '0',
  is_direct tinyint(1) default '0',
  banner_text TEXT,
  start_billing_trans tinyint(1) default '0',
  sort_order int(10) unsigned NOT NULL default '0'
) TYPE=InnoDB;

CREATE TABLE plugin_pp_paytypes (
	config_id INT4 NOT NULL,
	type      VARCHAR(255),
	template_id VARCHAR(255)
)TYPE=InnoDB;

CREATE TABLE plugin_dm (
	config_id INT4 NOT NULL,
	currency VARCHAR(20)
) TYPE=InnoDB;
